[v2,2/4] package/python-pyyaml: add host variant

Message ID 20190210142619.8207-2-fontaine.fabrice@gmail.com
State Accepted
Commit 66d618cadacce9a8d66e3f7084610e69067a428f
Headers show
Series
  • [v2,1/4] package/libyaml: add host variant
Related show

Commit Message

Fabrice Fontaine Feb. 10, 2019, 2:26 p.m.
host-python-pyyaml is needed for mongodb 4.0.6

Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
---
 package/python-pyyaml/python-pyyaml.mk | 2 ++
 1 file changed, 2 insertions(+)

Comments

Peter Korsgaard Feb. 12, 2019, 7:12 p.m. | #1
>>>>> "Fabrice" == Fabrice Fontaine <fontaine.fabrice@gmail.com> writes:

 > host-python-pyyaml is needed for mongodb 4.0.6
 > Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
 > ---
 >  package/python-pyyaml/python-pyyaml.mk | 2 ++
 >  1 file changed, 2 insertions(+)

 > diff --git a/package/python-pyyaml/python-pyyaml.mk b/package/python-pyyaml/python-pyyaml.mk
 > index 95f0f0bb9e..961a3135db 100644
 > --- a/package/python-pyyaml/python-pyyaml.mk
 > +++ b/package/python-pyyaml/python-pyyaml.mk
 > @@ -11,5 +11,7 @@ PYTHON_PYYAML_SETUP_TYPE = distutils
 >  PYTHON_PYYAML_LICENSE = MIT
 >  PYTHON_PYYAML_LICENSE_FILES = LICENSE
 >  PYTHON_PYYAML_DEPENDENCIES = libyaml
 > +HOST_PYTHON_DEPENDENCIES = host-libyaml

check-package nicely warns about this:

Applying: package/python-pyyaml: add host variant
package/python-pyyaml/python-pyyaml.mk:14: possible typo: HOST_PYTHON_DEPENDENCIES -> *PYTHON_PYYAML*

I've changed it to HOST_PYTHON_PYYAML_DEPENDENCIES = host-libyaml

Committed with that fixed, thanks.

Patch

diff --git a/package/python-pyyaml/python-pyyaml.mk b/package/python-pyyaml/python-pyyaml.mk
index 95f0f0bb9e..961a3135db 100644
--- a/package/python-pyyaml/python-pyyaml.mk
+++ b/package/python-pyyaml/python-pyyaml.mk
@@ -11,5 +11,7 @@  PYTHON_PYYAML_SETUP_TYPE = distutils
 PYTHON_PYYAML_LICENSE = MIT
 PYTHON_PYYAML_LICENSE_FILES = LICENSE
 PYTHON_PYYAML_DEPENDENCIES = libyaml
+HOST_PYTHON_DEPENDENCIES = host-libyaml
 
 $(eval $(python-package))
+$(eval $(host-python-package))